Skip to content

# Class: Workspace

Workspace

`beta`

## Hierarchy

- Workspace

## Implements

- WorkspaceModel
- WorkspaceState

## Index

### Constructors

- constructor

### Properties

- description
- id
- lastActiveClusterId
- name
- ownerRef

### Accessors

- enabled
- isManaged

### Methods

- getState
- pushState
- setState
- toJSON

## Constructors

### constructor

+ new Workspace(`data`: WorkspaceModel): Workspace

Defined in src/common/workspace-store.ts:70

Parameters:

Name | Type
--- | ---
`data` | WorkspaceModel

Returns: Workspace

## Properties

### `Optional` description

• description? : string

Implementation of WorkspaceModel.description

Defined in src/common/workspace-store.ts:52

Workspace description

`observable`

### id

• id: WorkspaceId

Implementation of WorkspaceModel.id

Defined in src/common/workspace-store.ts:40

Unique id for workspace

`observable`

### `Optional` lastActiveClusterId

• lastActiveClusterId? : ClusterId

Implementation of WorkspaceModel.lastActiveClusterId

Defined in src/common/workspace-store.ts:67

Last active cluster id

`observable`

### name

• name: string

Implementation of WorkspaceModel.name

Defined in src/common/workspace-store.ts:46

Workspace name

`observable`

### `Optional` ownerRef

• ownerRef? : string

Implementation of WorkspaceModel.ownerRef

Defined in src/common/workspace-store.ts:60

Workspace owner reference

If extension sets ownerRef then it needs to explicitly mark workspace as enabled onActivate (or when workspace is saved)

`observable`

## Accessors

### enabled

• get enabled(): boolean

Defined in src/common/workspace-store.ts:89

Is workspace enabled

Workspaces that don't have ownerRef will be enabled by default. Workspaces with ownerRef need to explicitly enable a workspace.

`observable`

Returns: boolean

• set enabled(`enabled`: boolean): void

Defined in src/common/workspace-store.ts:93

Is workspace enabled

Workspaces that don't have ownerRef will be enabled by default. Workspaces with ownerRef need to explicitly enable a workspace.

Parameters:

Name | Type
--- | ---
`enabled` | boolean

Returns: void

### isManaged

• get isManaged(): boolean

Defined in src/common/workspace-store.ts:100

Is workspace managed by an extension

Returns: boolean

## Methods

### getState

▸ getState(): WorkspaceState

Defined in src/common/workspace-store.ts:108

Get workspace state

Returns: WorkspaceState

### pushState

▸ pushState(`state`: WorkspaceState): void

Defined in src/common/workspace-store.ts:120

Push state

`interal`

Parameters:

Name | Type | Default | Description
--- | --- | --- | ---
`state` | WorkspaceState | this.getState() | workspace state

Returns: void

### setState

▸ setState(`state`: WorkspaceState): void

Defined in src/common/workspace-store.ts:129

Parameters:

Name | Type | Description
--- | --- | ---
`state` | WorkspaceState | workspace state

Returns: void

### toJSON

▸ toJSON(): WorkspaceModel

Defined in src/common/workspace-store.ts:133

Returns: WorkspaceModel